import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class NgSuperSelectComponent implements OnInit {
    placeholder: string;
    isSearchable: boolean;
    isMultiSelectable: boolean;
    optionArray: any[];
    bindName: string;
    bindValue: string;
    isDataObject: boolean;
    noOptionMessage: string;
    preSelectData: any;
    showDoneButton: boolean;
    changeSuperSelect: EventEmitter<any>;
    isOptionShown: boolean;
    displayOptionArray: any[];
    selectedData: any;
    id: string;
    constructor();
    ngOnInit(): void;
    dropDownClicked(): void;
    search(): void;
    getBindName(value: any): any;
    changeSelectedData(value: any): void;
    addDataInSelectedData(value: any): void;
    closeOption(): void;
    isDataSelected(value: any): any;
    optionClicked(value: any): void;
    clear(isClicked?: boolean): void;
    getSelectedDataName(value: any): any;
    canShowClearIcon(): any;
    getInputElement(): HTMLElement | null;
    removeValue(index: number): void;
    clickOutside(): void;
    isActiveElement(): boolean;
    focusOut(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgSuperSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgSuperSelectComponent, "ng-super-select", never, { "placeholder": "placeholder"; "isSearchable": "isSearchable"; "isMultiSelectable": "isMultiSelectable"; "optionArray": "optionArray"; "bindName": "bindName"; "bindValue": "bindValue"; "isDataObject": "isDataObject"; "noOptionMessage": "noOptionMessage"; "preSelectData": "preSelectData"; "showDoneButton": "showDoneButton"; }, { "changeSuperSelect": "changeSuperSelect"; }, never, never>;
}
